# Generated from restclient-instrumentation-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name restclient-instrumentation

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Instrumentation for RestClient
License: MIT
URL: http://github.com/signalfx/ruby-restclient-instrumentation
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(opentracing_test_tracer) >= 0.1
# BuildRequires: rubygem(opentracing_test_tracer) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 3.4.2
# BuildRequires: rubygem(webmock) < 3.5
# BuildRequires: rubygem(appraisal) >= 2.2
# BuildRequires: rubygem(appraisal) < 3
BuildArch: noarch

%description
OpenTracing auto-instrumentation for RestClient.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/restclient-instrumentation.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.1-1
- Initial package
